IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Message events

Bounce, delivery and open events for emails

The message event object

Attributes

iduuid

Unique identifier

message_iduuid
messages.id

Identifier of the related email

created_attimestamp with time zone

Creation timestamp

event_type | "processed" | "dropped" | "deferred" | "bounce" | "delivered" | "open" | "click" | "spamreport" | "unsubscribe" | "group_unsubscribe" | "group_resubscribe"

Type of the event

recipienttext

Recipient identifier (email address or phone number)

The message event object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "message_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T07:07:29.825Z",
  "event_type": "",
  "recipient": ""
}

List message events

Filters

idFilter<uuid>

Unique identifier

message_idFilter<uuid>
messages.id

Identifier of the related email

created_atFilter<timestamp with time zone>

Creation timestamp

event_typeFilter< | "processed" | "dropped" | "deferred" | "bounce" | "delivered" | "open" | "click" | "spamreport" | "unsubscribe" | "group_unsubscribe" | "group_resubscribe">

Type of the event

recipientFilter<text>

Recipient identifier (email address or phone number)

Responses

200

A list of message events with the selected columns

206

Partial Content

GET /message_events
curl -X GET "https://api.bookingmood.com/v1/message_events?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"